Groovy 1.7.0

## org.codehaus.groovy.ast.builder
Class AstBuilderTransformation

    java.lang.Object
      org.codehaus.groovy.ast.builder.AstBuilderTransformation

    @GroovyASTTransformation (phase = CompilePhase.SEMANTIC_ANALYSIS)
    class AstBuilderTransformation
    extends Object

Transformation to capture ASTBuilder from code statements. The AstBuilder "from code" approach is used with a single Closure parameter. This transformation converts the ClosureExpression back into source code and rewrites the AST so that the "from string" builder is invoked on the source. In order for this to work, the closure source must be given a goto label. It is the "from string" approach's responsibilty to remove the BlockStatement created by the label.

author:
  Hamlet D'Arcy

Constructor Summary
`AstBuilderTransformation()`

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit sourceUnit)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AstBuilderTransformation

    AstBuilderTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit sourceUnit)

Copyright © 2003-2009 The Codehaus. All rights reserved.